<template>
<el-container style="height: 100%">
        <el-header>
            <commonheader ></commonheader>
        </el-header>
        <el-container>
            <el-aside width="auto">
                <commonaside></commonaside>
            </el-aside>
<div class="form-container">
  <el-main class="main">
    <h2 align="center"><strong> 个人信息 </strong></h2>
    <el-row>
      用户名: {{userInfo.userName}}
    </el-row>
    <el-row>
      昵称: {{userInfo.userNickname}}
    </el-row>
    <el-row>
      电话: {{userInfo.userPhone}}
    </el-row>
    <el-row>
      邮箱: {{userInfo.userEmail}}
    </el-row>
    <el-row>
      年龄: {{userInfo.userAge}}
    </el-row>
    <el-row>
      性别: {{userInfo.userSex}}
    </el-row>
    <el-row>
      身高: {{userInfo.userHeight}}
    </el-row>
    <el-row>
      体重: {{userInfo.userWeight}}
    </el-row>
    <el-row>
      BMI: {{userInfo.userBmi}}
    </el-row>
    <el-row>
      REE: {{userInfo.userRee}}
    </el-row>
    <el-row>
      活动倾向:&nbsp;
      <div v-if="userInfo.userWorkoutQuantityPrefer == 0">
        卧床（全天）
      </div>
      <div v-if="userInfo.userWorkoutQuantityPrefer == 1">
        轻活动（多坐、缓步）
      </div>
      <div v-if="userInfo.userWorkoutQuantityPrefer == 2">
        一般活动度
      </div>
      <div v-if="userInfo.userWorkoutQuantityPrefer == 3">
        活动量大
      </div>
    </el-row>
   <el-row>
      骑手:&nbsp;
      <div v-if="userInfo.userIsRider === 0 || userInfo.userIsRider === 1">
        未认证
      </div>
      <div v-if="userInfo.userIsRider === 5 || userInfo.userIsRider === 4 || userInfo.userIsRider === 2">
        已认证
      </div>
      &nbsp;
      <div v-if="userInfo.userIsRider === 2 || userInfo.userIsRider === 4">
        修改
      </div>
      <div v-if="userInfo.userIsRider === 2 || userInfo.userIsRider === 1">
        待审核
      </div>
      <div v-if="userInfo.userIsRider === 3 || userInfo.userIsRider === 4">
        审核失败
      </div>
    </el-row>
    <el-row>
      食品商家:&nbsp;
      <div v-if="userInfo.userIsFoodMerchant === 0 || userInfo.userIsFoodMerchant === 1">
        未认证
      </div>
      <div v-if="userInfo.userIsFoodMerchant === 5 || userInfo.userIsFoodMerchant === 4 || userInfo.userIsFoodMerchant === 2">
        已认证
      </div>
      &nbsp;
      <div v-if="userInfo.userIsFoodMerchant === 2 || userInfo.userIsFoodMerchant === 4">
        修改
      </div>
      <div v-if="userInfo.userIsFoodMerchant === 2 || userInfo.userIsFoodMerchant === 1">
        待审核
      </div>
      <div v-if="userInfo.userIsFoodMerchant === 3 || userInfo.userIsFoodMerchant === 4">
        审核失败
      </div>
    </el-row>
    <el-row>
      健身商家:&nbsp;
      <div v-if="userInfo.userIsGymMerchant === 0 || userInfo.userIsGymMerchant === 1">
        未认证
      </div>
      <div v-if="userInfo.userIsGymMerchant === 5 || userInfo.userIsGymMerchant === 4 || userInfo.userIsGymMerchant === 2">
        已认证
      </div>
      &nbsp;
      <div v-if="userInfo.userIsGymMerchant === 2 || userInfo.userIsGymMerchant === 4">
        修改
      </div>
      <div v-if="userInfo.userIsGymMerchant === 2 || userInfo.userIsGymMerchant === 1">
        待审核
      </div>
      <div v-if="userInfo.userIsGymMerchant === 3 || userInfo.userIsGymMerchant === 4">
        审核失败
      </div>
    </el-row>
    <el-row>
      <el-col :span="12">
        <el-button type="primary" plain @click="shop()">商家认证</el-button>
      </el-col>
      <el-col :span="12">
        <el-button type="primary" plain @click="rider()">骑手认证</el-button>
      </el-col>
    </el-row>
    <el-row>
      <el-col :span="6">
        <el-button type="primary" plain @click="changeUserInfo()">更改用户信息</el-button>
      </el-col>
      <el-col :span="6">
        <el-button type="primary" plain @click="changehealthinfo()">更改健康信息</el-button>
      </el-col>
      <el-col :span="6">
        <el-button type="primary" plain @click="changetag()">用户偏好设置</el-button>
      </el-col>
    </el-row>
    <el-row>
      <el-col :span="12" v-if=checkifmerchant()>
        <el-button style="align:center" type="primary" plain @click="shops()" >管理店铺</el-button>
      </el-col>
      <el-col :span="12" v-if=checkifmerchant()>
        <el-button style="align:center" type="primary" plain @click="newshops()" >添加店铺</el-button>
      </el-col>
      </el-row>
    <el-row>
      <el-col :span="12"  v-if="isAdmin===true">
        <el-button type="primary" plain @click="managerecg()">审核认证申请</el-button>
      </el-col>
      <el-col :span="12" v-if="isAdmin===true">
        <el-button type="primary" plain @click="servicerecg()">审核服务申请</el-button>
      </el-col>
    </el-row>
    <el-row>
      <el-col :span="12"  v-if="userInfo.userIsRider===2 || userInfo.userIsRider===4 || userInfo.userIsRider===5">
        <el-button type="primary" plain @click="getrider()">骑手接单</el-button>
      </el-col>
    </el-row>
  </el-main>
</div>
</el-container>
</el-container>
</template>

<script>
import commonaside from '../components/commonaside.vue'
import commonheader from '../components/commonheader.vue'
import showViewInfoService from '@/services/showViewInfoService'
export default {
  components: {
    commonaside,
    commonheader
  },
  name: 'showViewInfo',
  data () {
    return {
      userInfo: [{}],
      userRoles: [{}],
      isAdmin: false
    }
  },
  async created () {
    await this.getUserInfo()
  },
  methods: {
    async getUserInfo () {
      try {
        const response = await showViewInfoService.getInfo(
          {
            headers: {'Authorization': this.$store.state.token}
          })
        console.log(response.data)
        this.userInfo = response.data.data.user
        this.userRoles = response.data.data.roles
        this.isAdmin = false
        this.$store.commit('SET_USERINFO', response.data.data.user)
        this.$store.commit('SET_ROLES', response.data.data.roles)
        for (var j in this.userRoles) {
          if (this.userRoles[j] === 'admin') {
            this.isAdmin = true
          }
        }
      } catch (error) {
        if (typeof (error.response) === 'undefined' || typeof (error.response.data) === 'undefined') {
          this.error = 'Network Error'
        } else {
          this.error = error.response.data.error
        }
      }
    },
    shops () {
      this.$router.push('/browsemyshops')
    },
    newshops () {
      this.$router.push('/newshop')
    },
    shop () {
      this.$router.push('/shoprecognize')
    },
    rider () {
      this.$router.push('/riderrecognize')
    },
    changeUserInfo () {
      this.$router.push('/informationModification')
    },
    changehealthinfo () {
      this.$router.push('/changehealthinfo')
    },
    changetag () {
      this.$router.push('/userFavorSet')
    },
    managerecg () {
      this.$router.push('/adminRecognize')
    },
    servicerecg () {
      this.$router.push('/ServiceRecognize')
    },
    checkifmerchant () {
      return (this.userInfo.userIsGymMerchant === 5 | this.userInfo.userIsGymMerchant === 4 | this.userInfo.userIsGymMerchant === 2 | this.userInfo.userIsFoodMerchant === 5 || this.userInfo.userIsFoodMerchant === 4 | this.userInfo.userIsFoodMerchant === 2)
    },
    getrider () {
      this.$router.push('/RiderFoodOrderManage/' + this.userInfo.userId)
    }
  }
}
</script>

<style scoped>
.el-header {
    background-color: #333;
}
.form-container .main {
  display:table-cell;
  width:300px;
  background-color:#fff;
  padding:40px 60px;
  color:#505e6c
}
.form-container
{
  display:table;
  max-width:900px;
  width:90%;
  margin:0 auto;
  box-shadow:1px 1px 5px rgba(0,0,0,.1)
}
.form-container .el-row{
  margin-left: 30px;
  margin-top: 25px;
}
</style>
